Skip to content

Agents API

POST /api/v1/agents/register

Register a new agent.

Request:

{
  "name": "my-agent",
  "framework": "crewai",
  "config": {"role": "Researcher"}
}

Response (201):

{
  "id": "uuid",
  "orgId": "uuid",
  "name": "my-agent",
  "framework": "crewai",
  "status": "registered",
  "config": {"role": "Researcher"},
  "createdAt": "2026-03-01T00:00:00Z"
}

Framework Values

crewai | langgraph | autogen | custom

GET /api/v1/agents

List all agents for the authenticated organization.

Response:

{
  "agents": [
    {"id": "uuid", "name": "my-agent", "framework": "crewai", "status": "registered"}
  ]
}

GET /api/v1/agents/:id

Get a single agent by ID.